Imports System
Imports System.Collections

Namespace istia.st.articles.dao

	Public Interface IArticlesDao
		' liste de tous les articles
		Function getAllArticles() As IList
		' ajoute un article
		Function ajouteArticle(ByVal unArticle As Article) As Integer
		' supprime un article
		Function supprimeArticle(ByVal idArticle As Integer) As Integer
		' modifie un article
		Function modifieArticle(ByVal unArticle As Article) As Integer
		' recherche un article
		Function getArticleById(ByVal idArticle As Integer) As Article
		' supprime tous les articles
		Sub clearAllArticles()
		' change le stock d'u article
		Function changerStockArticle(ByVal idArticle As Integer, ByVal mouvement As Integer) As Integer
	End Interface
End Namespace
