Imports System
Imports System.Collections
Imports System.Data
Imports istia.st.articles.dao

Namespace istia.st.articles.web

	' gre la page d'affichage de la liste d'articles
	Public Class ListeWebarticles
		Inherits System.Web.UI.Page

		' composants de la page
		Protected WithEvents lblMessage As System.Web.UI.WebControls.Label
		Protected WithEvents DataGridArticles As System.Web.UI.WebControls.DataGrid
		Protected WithEvents entete As New EnteteWebArticles

		Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
			' on prpare la vue [liste]  partir des informations du contexte
			' on lie les options de menu  rptmenu
			entete.actions = CType(context.Items("options"), Hashtable())
			' on rcupre les articles dans un datatable
			Dim articles As ArrayList = CType(context.Items("articles"), ArrayList)
			' on les lie au composant [DataGrid] de la page
			With DataGridArticles
				.DataSource = articles
				.DataBind()
			End With
			' on affiche le message
			lblMessage.Text = context.Items("message").ToString
		End Sub

		Private Sub InitializeComponent()

		End Sub
	End Class

End Namespace
